Package org.jcsp.util.filter

# Interface FilteredSharedChannelOutput

All Superinterfaces:
  `ChannelOutput`, `FilteredChannelOutput`, `Poisonable`, `SharedChannelOutput`, `WriteFiltered`

All Known Implementing Classes:
  `FilteredSharedChannelOutputWrapper`

public interface FilteredSharedChannelOutput extends SharedChannelOutput, FilteredChannelOutput
Interface for an output channel end that supports filtering operations and can be shared by multiple concurrent processes.

Author:
  Quickstone Technologies Limited
See Also:
  - `SharedChannelOutput`
  - `WriteFiltered`

## Method Summary

### Methods inherited from interface org.jcsp.lang.ChannelOutput

`write`

### Methods inherited from interface org.jcsp.lang.Poisonable

`poison`

### Methods inherited from interface org.jcsp.util.filter.WriteFiltered

`addWriteFilter, addWriteFilter, getWriteFilter, getWriteFilterCount, removeWriteFilter, removeWriteFilter`